Skip to main content
GET
Get outbound SMS message delivery reports

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

bulkId
string

Unique ID assigned to the request if messaging multiple recipients or sending multiple messages via a single API request.

messageId
string

Unique message ID for which a report is requested.

limit
integer<int32>
default:50

Maximum number of delivery reports to be returned. If not set, the latest 50 records are returned. Maximum limit value is 1000 and you can only access reports for the last 48h.

Required range: x <= 1000
applicationId
string

Application id used to send the message. For more details, see our documentation.

entityId
string

Entity id used to send the message. For more details, see our documentation.

campaignReferenceId
string

ID of a campaign that was sent in the message.

Response

successful response

results
SmsReport · object[]